Index: /branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 14929)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Operators {
+  [StorableType("2667ce66-c890-4e62-ae3b-23b659bdce10")]
   public enum ReductionOperations {
     Sum,
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 14929)
@@ -39,4 +39,5 @@
   [StorableType("34f3fc45-3522-4c9c-8166-61551b3776a3")]
   public class FastNonDominatedSort : SingleSuccessorOperator, IMultiObjectiveOperator {
+    [StorableType("c17e5fac-bca3-4c40-bc99-d9ba2679db22")]
     private enum DominationResult { Dominates, IsDominated, IsNonDominated };
 
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization.Operators {
@@ -31,4 +32,5 @@
   /// </remarks>
   [Item("NoSimilarityCalculator", "An item that performs similarity calculation between two solutions. The item always considers two solutions to be distinct.")]
+  [StorableType("48aa49e4-b502-48f3-8a2c-0636f3a935cf")]
   public sealed class NoSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs	(revision 14929)
@@ -24,4 +24,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization.Operators {
@@ -33,4 +34,5 @@
   /// </remarks>
   [Item("QualitySimilarityCalculator", "An item that performs similarity calculation between two solutions. The item only considers the qualities of the two solutions.")]
+  [StorableType("3f538105-c336-47c5-9b00-89b988d63acc")]
   public sealed class QualitySimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncoding.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("ea6074ad-9ac9-429a-9f02-b33ec70813e6")]
   public interface IEncoding : IParameterizedNamedItem {
     ISolutionCreator SolutionCreator { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IEncodingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2cf5f2f6-790c-4f34-b5e1-f088ac17a52d")]
   public interface IEncodingOperator : IOperator {
     ILookupParameter<IEncoding> EncodingParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiEncodingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e185d95d-8f23-4fdd-89af-313ded21c965")]
   public interface IMultiEncodingOperator : IOperator {
     void AddEncoding(IEncoding encoding);
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IMultiObjectiveProblemDefinition.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f4239895-b2d8-4356-bc31-0b975444697b")]
   public interface IMultiObjectiveProblemDefinition : IProblemDefinition {
     bool[] Maximization { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/IProblemDefinition.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("501f747b-2cba-4fdd-a01a-497e73b7d458")]
   public interface IProblemDefinition {
     IEncoding Encoding { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveMoveOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("3ca81564-7af8-4036-ace7-2b21b1402c48")]
   public interface ISingleObjectiveMoveOperator : IMoveOperator, ISingleObjectiveOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/ISingleObjectiveProblemDefinition.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("41d01155-4bf4-4ba8-802e-265820f11134")]
   public interface ISingleObjectiveProblemDefinition : IProblemDefinition {
     bool Maximization { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveAnalysisOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9814dc6a-80a5-40b4-ae87-ab77eefc2b23")]
   internal interface IMultiObjectiveAnalysisOperator : IEncodingOperator, IAnalyzer, IMultiObjectiveOperator {
     Action<Individual[], double[][], ResultCollection, IRandom> AnalyzeAction { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/IMultiObjectiveEvaluationOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7471ea2a-645f-41fa-b9fc-97fbf5e63b12")]
   internal interface IMultiObjectiveEvaluationOperator : IMultiObjectiveEvaluator, IEncodingOperator {
     Func<Individual, IRandom, double[]> EvaluateFunc { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/INeighborBasedOperator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("ca76da7a-c2cd-40f3-b9dd-240cd38a5229")]
   internal interface INeighborBasedOperator : IEncodingOperator {
     Func<Individual, IRandom, IEnumerable<Individual>> GetNeighborsFunc { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveAnalysisOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("cfc56e7f-7cb9-4340-9764-358b93848639")]
   internal interface ISingleObjectiveAnalysisOperator : IEncodingOperator, ISingleObjectiveOperator {
     Action<Individual[], double[], ResultCollection, IRandom> AnalyzeAction { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/BasicProblems/Interfaces/internal/ISingleObjectiveEvaluationOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e4cfa88f-743b-43c0-bc71-fb9b2d63bbf2")]
   internal interface ISingleObjectiveEvaluationOperator : ISingleObjectiveEvaluator, IEncodingOperator {
     Func<Individual, IRandom, double> EvaluateFunc { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an analysis operator.
   /// </summary>
+  [StorableType("950fbe58-e831-4c51-a614-dc580b9cda6e")]
   public interface IAnalyzer : IOperator {
     bool EnabledByDefault { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9ab2ee9d-6b92-46cf-a073-b7fc473a8834")]
   public interface ICharacteristicCalculator : IParameterizedNamedItem {
     IProblem Problem { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for crossing solutions.
   /// </summary>
+  [StorableType("4d75acf5-174e-4128-bf72-f17f3093b4d7")]
   public interface ICrossover : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("6234c34c-744b-4969-9899-01e2bfbc7564")]
   public interface IDiscreteDoubleMatrixModifier : IOperator {
     ILookupParameter<DoubleMatrix> ValueParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2fe0c0d3-6468-403e-8bb0-33e5788ce655")]
   public interface IDiscreteDoubleValueModifier : IOperator {
     ILookupParameter<DoubleValue> ValueParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an evaluation operator for optimization problems.
   /// </summary>
+  [StorableType("784ddd60-b854-42af-86bc-b6892ada31a0")]
   public interface IEvaluator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("987fd248-39cf-4f47-b33e-3db1025b12e7")]
   public interface IExhaustiveMoveGenerator : IMoveGenerator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IGlobalParticleUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IGlobalParticleUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IGlobalParticleUpdater.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8fd551ef-f84e-475c-9753-8e6408a66176")]
   public interface IGlobalParticleUpdater : IParticleUpdater {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// Interface to represent a heuristic optimization problem.
   /// </summary>
+  [StorableType("872b324f-c89d-4450-8416-c8e68b4082ff")]
   public interface IHeuristicOptimizationProblem : IProblem {
     IParameter SolutionCreatorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for improvement.
   /// </summary>
+  [StorableType("fe06a86d-0206-4b41-adaf-fa175124d1f8")]
   public interface IImprovementOperator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("4445732e-7d24-4507-8c26-174d7320223b")]
   public interface IIterationBasedOperator : IOperator {
     ILookupParameter<IntValue> IterationsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d4e00e84-76d2-44b5-872f-22ea2c851244")]
   public interface ILocalImprovementAlgorithmOperator : ILocalImprovementOperator {
     Type ProblemType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("3c83fda5-fa38-447b-88da-3ba1cc198712")]
   public interface ILocalImprovementOperator : IOperator {
     IValueLookupParameter<IntValue> MaximumIterationsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalParticleUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalParticleUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ILocalParticleUpdater.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9a4a87b1-666f-4e61-bff0-4946a828af15")]
   public interface ILocalParticleUpdater : IParticleUpdater {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for manipulating solutions.
   /// </summary>
+  [StorableType("dfb70e6e-c02e-442b-a714-88c6cba313a6")]
   public interface IManipulator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("4afab718-4444-4678-a29e-5c6993cddb72")]
   public interface IMigrator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -29,4 +30,5 @@
   /// Please read the remarks on <see cref="IMoveOperator"/> on how to implement moves.
   /// </remarks>
+  [StorableType("7feb3303-4d7b-4e2b-b10c-4e9b33663e70")]
   public interface IMoveGenerator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2406d60f-3c40-4cc5-a154-8194f5312a8a")]
   public interface IMoveMaker : IOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -70,4 +71,5 @@
   /// These operators should not implement further move types. For further moves
   /// a new interface derived from IMoveOperator should be created.
+  [StorableType("2abc9f00-6b25-42f0-8f1b-8810dde40698")]
   public interface IMoveOperator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 14929)
@@ -22,8 +22,11 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Optimization {
   /// <summary>
   /// An interface which represents a multi analysis operator.
   /// </summary>
+  [StorableType("08f3ca08-2d88-43fd-b513-72c696e40f60")]
   public interface IMultiAnalyzer : ICheckedMultiOperator<IAnalyzer>, IAnalyzer { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("876489be-a5a2-45c6-b4a0-5935751a088b")]
   public interface IMultiMoveGenerator : IMoveGenerator {
     IValueLookupParameter<IntValue> SampleSizeParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8465d1a0-769e-4d3f-9105-b2e2a07130c1")]
   public interface IMultiNeighborhoodShakingOperator : IOperator {
     IValueLookupParameter<IntValue> CurrentNeighborhoodIndexParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents an evaluation operator for multi-objective optimization problems.
   /// </summary>
+  [StorableType("38f3ce31-51d6-450c-8ebd-cbe343e9162a")]
   public interface IMultiObjectiveEvaluator : IEvaluator, IMultiObjectiveOperator {
     ILookupParameter<DoubleArray> QualitiesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface to represent a multi-objective optimization problem.
   /// </summary>
+  [StorableType("115b344c-6717-42c2-b03e-1c85832b6f7d")]
   public interface IMultiObjectiveHeuristicOptimizationProblem : IHeuristicOptimizationProblem {
     IParameter MaximizationParameter { get; }
